/*
 *  $Id: comm_group.c,v 1.5 1994/02/02 21:23:19 lusk Exp $
 *
 *  (C) 1993 by Argonne National Laboratory and Mississipi State University.
 *      All rights reserved.  See COPYRIGHT in top-level directory.
 */

#include <mpi.h>

/*@

MPI_Comm_group - access the group associated with given communicator

@*/
int MPI_Comm_group ( comm, group )
MPI_Comm comm;
MPI_Group *group;
{
  if (comm == (MPI_Comm)0) 
    (*group) = (MPI_Group)0;
  else
    (*group) = comm->group;
  return (MPI_SUCCESS);
}
