/*
 *  $Id: group_rank.c,v 1.4 1994/02/02 21:18:19 lusk Exp $
 *
 *  (C) 1993 by Argonne National Laboratory and Mississipi State University.
 *      All rights reserved.  See COPYRIGHT in top-level directory.
 */

#include <mpi.h>

/*@

MPI_Group_rank - 

@*/
int MPI_Group_rank ( group, rank )
MPI_Group group;
int *rank;
{
  if (group) 
    *rank = group->local_rank;
  else
    *rank = MPI_UNDEFINED;
  return (MPI_SUCCESS);
}
